Name: gco
Version: 0.5.1
Release: 1%{?dist}
BuildArch: noarch
BuildRequires: desktop-file-utils
Summary: A program for keeping track of your comic book collection

Group: Applications/Productivity
License: GPL
Source: http://www.krakoa.dk/progs/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.krakoa.dk/linux-software.html


%description
GNOME Comics Organizer

GNOME Comics Organizer is a program to help you keep track of your
comic book collection.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#fix permission
find $RPM_BUILD_ROOT/%{_datadir}/%{name} -type f -name *.py | xargs chmod 0755 || true

desktop-file-install --vendor="fedora" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  --delete-original \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/gco.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/%{name}


%changelog
* Sun Apr 25 2007 Mads Villadsen <maxx@krakoa.dk> - 0.5.1-1
- Cleaned up the spec file
